Next: sin, Previous: scalbn, Up: Math [Contents][Index]

### 1.53 `signbit`—Does floating-point number have negative sign?

Synopsis

    #include <math.h>
    int signbit(real-floating x);

Description
The `signbit` macro determines whether the sign of its argument value is negative. The macro reports the sign of all values, including infinities, zeros, and NaNs. If zero is unsigned, it is treated as positive. As shown in the synopsis, the argument is "real-floating," meaning that any of the real floating-point types (float, double, etc.) may be given to it.

Note that because of the possibilities of signed 0 and NaNs, the expression "x < 0.0" does not give the same result as `signbit` in all cases.

Returns
The `signbit` macro returns a nonzero value if and only if the sign of its argument value is negative.

Portability
C99, POSIX.